XPlanner

Docs

Publish post

Accepts the current post for publication to X. Public API response returns 202.


POST

/posts/{id}/publish

posts:publish

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Idempotency-Key

*
string

Unique value of 1-255 characters to safely retry the same write request.

Content-Type

string

Use application/json when sending JSON body.

Riskli aksiyon

Public API

posts:publish

An explicit publish scope is required in the Bearer API key.

MCP

x-mcp-action-confirmed: true

MCP bridge rejects the publish request with 428 confirmation_required without a confirmation header.

Cevaplar

202

Publish request accepted.

403

There is no posts:publish scope or the publication quota is full.

cURL

curl -X POST https://api.xplanner.co/v1/posts/post_123/publish \  -H "Authorization: Bearer $XPLANNER_API_KEY" \  -H "Idempotency-Key: post-publish-001"

Cevap

{  "data": {    "accepted": true,    "postId": "post_123",    "status": "processing"  },  "requestId": "req_123"}